Subject: bug#71289: 30.0.50; cmcheckmagic aborts when tty_write_glyphs writes "Garbage collecting..." in some cases

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jun 2024 09:47:35 +0300

> From: Daniel Clemente <[email-masked]>
> Date: Fri, 7 Jun 2024 06:42:13 +0000
> Cc: [email-masked]
> 
> > > In an Emacs build with this patch, I can't see the minibuffer anymore,
> > > also not while I type. Happens with -Q, with and without daemon.
> >
> > Sorry about that, late-night thinko.  Should be fixed now.
> 
> It is, thanks.
> The build_frame_matrix_from_leaf_window crash still happens.

That's another problem.  There seems to be some disconnect, time-wise,
in reallocating frame matrices and sub-allocating window matrices from
the frame matrices, and the crash happens when the check is done
in-between those two.

This will need more work.  Patches and relevant data are welcome.